# pandas.Index.values

property Index.values

  Return an array representing the data in the Index.

  Warning

  We recommend using `Index.array` or `Index.to_numpy()`, depending on whether you need a reference to the underlying data or a NumPy array.

  Returns
    array: numpy.ndarray or ExtensionArray

  See also

  `Index.array`

    Reference to the underlying data.

  `Index.to_numpy`

    A NumPy array representing the underlying data.